package com.nokia.tsl_data;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import com.nokia.tsl_data.dao.TslDao;
import com.nokia.tsl_data.service.TslTaskService;

@SpringBootTest
public class TslDataApplicationTest {

    @Autowired
    private TslTaskService tslTaskService;

    @Autowired
    private TslDao tslDao;

    @Test
    void test() {
        String day = "20230601";
        String dayId = day.substring(0, 4) + "-" + day.substring(4, 6) + "-" + day.substring(6);
        int selectQualityCountForDay = tslDao.selectQualityCountForDay(dayId);
        System.out.println(selectQualityCountForDay);
    }
}
